Bug 12659 - create-tuntap does not create tuntap interface at boot
: create-tuntap does not create tuntap interface at boot
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-31 14:18 by
Modified: 2007-09-10 18:35 (History)


Attachments
patch (973 bytes, patch)
2007-09-01 17:38, Sergey Bolshakov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-31 14:18:34
у меня есть два интерфейса
tap0
tap1
с 
ONBOOT=yes
TYPE=tuntap

при загрузке поднимается только второй.
при рестарте оба.

/var/log/daemons/info:Aug 31 07:55:33 breeze /etc/net: ERROR:
/etc/net/scripts/create-tuntap: tuntap control node does not exist 

cat /etc/net/scripts/create-tuntap:
...
if  [ ! -c /dev/net/tun ]; then
    $MODPROBE tun || {
        print_error "tuntap kernel module not found"
        exit 1
    }
##############################
очевидно проблема в этом месте.
tun уже загружен, но /dev/net/tun еще не появился.
надо что-то вроде
+   [ -c /dev/net/tun ] || usleep 50000
или еще лучше несколько раз в цикле.
##############################
    [ -c /dev/net/tun ] || {
        print_error "tuntap control node does not exist"
        exit 1
    }
fi
...
------- Comment #1 From 2007-09-01 16:16:21 -------
Автора, автора! ;)
------- Comment #2 From 2007-09-01 17:38:04 -------
Created an attachment (id=2171) [details]
patch
------- Comment #3 From 2007-09-01 17:39:54 -------
на доступном мне железе не проявляется, к сожалению.
попробуйте приложить attached патч, если поможет -- сделаю сборку.
------- Comment #4 From 2007-09-04 10:20:15 -------
и с моим самодельным, и с фирменным из аттача патчами работает ок.
единственно, у меня AthlonX2 3800+
и такой паузы хватает.
на слабом процессоре это бы еще посмотреть...
я б увеличил число циклов до 10, на всяк случай.
Это в сумме будет 0.3 секунды --- 
------- Comment #5 From 2007-09-04 12:27:04 -------
Советую посмотреть на то, как используется MACADDR_WAITTIME.
------- Comment #6 From 2007-09-04 13:08:52 -------
будем считать, что fixed in 0.9.3-alt3
в следующей сборке заполирую.